#!/bin/bash

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../
VERSION="0.5.8"
OLD_NODE_VERSION=$(node -v)

cd $PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$VERSION" "productInfo.json"

echo "Current node version: $OLD_NODE_VERSION"

source ~/.bashrc
source ~/.nvm/nvm.sh

function installNvm {
  {
    nvm -v
  } || {
    echo 'Installing NVM...'
    curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.4/install.sh | bash
    source ~/.bashrc
    source ~/.nvm/nvm.sh
  }
}

installNvm

{
  	nvm install $OLD_NODE_VERSION
	nvm install 18
	nvm use 18
} || {
	echo 'NVM not installed...'
}

cd $PRODUCT_PATH/mobile

{
	rm -rf dist static
	npm i 
    npm run build
    mv dist/static .
    rm -rf dist
} || {
	echo 'Error front step ------------------'
    exit 1
}

cd $PRODUCT_PATH/backend

{
	rm -rf node_modules _node_modules
	npm i
    mv node_modules _node_modules
} || {
	echo 'Error back step ------------------'
	exit 1
}

nvm install $OLD_NODE_VERSION
nvm use $OLD_NODE_VERSION

echo 'Finish'
